IRDAATTACH(8) | System Manager's Manual | IRDAATTACH(8)

# NAME

`irdaattach`, `irda` —
attach serial lines to IrDA frame driver

# SYNOPSIS

`irdaattach` | [`-d` dongle] [`-fHhlmnp`] ttyname

# DESCRIPTION

`irdaattach` is used to assign a tty line to an IrDA frame level driver. The following operands are supported by `irdaattach`:

`-d` dongle
  Sets the dongle type. The following dongles are supported:
  none
    No dongle
  tekram
    Tekram IR-210B
  jeteye
    Extended Systems JetEye
  actisys
    ACTiSYS IR-220L
  actisys+
    ACTiSYS IR-220L+
  litelink
    Parallax LiteLink
  girbil
    Greenwich GIrBIL

  The default is `none`.

`-f`
  Print the name of the IrDA frame device that should be used to access the frames.
`-H`
  Turn on DTR/CTS flow control. By default, no flow control is done.
`-h`
  Turn on RTS/CTS flow control. By default, no flow control is done.
`-l`
  Turn on the CLOCAL flag, making it possible to run SLIP on a cable without modem control signals (e.g., DTR, DSR, DCD).
`-m`
  Maintain modem control signals after closing the line. Specifically, this disables HUPCL.
`-n`
  Do not detach from invoking tty.
`-p`
  Print process id to file.
ttyname
  Specifies the name of the tty device. Ttyname should be a string of the form ‘`ttyXX`’, or ‘`/dev/ttyXX`’.

Only the super-user may attach a network interface.

The frame driver is detached by killing the `irdaattach` process.

# EXAMPLES

    irdaattach tty00
    ircomm -Y -d `irdaattach -p -f /dev/tty02`

# DIAGNOSTICS

Messages indicating that the specified interface does not exist, the requested address is unknown, or that the user is not privileged but tried to alter an interface's configuration.

# SEE ALSO

daemon(3), irframe(4), irframetty(4), slattach(8)

# HISTORY

The `irdaattach` command appeared in NetBSD 1.6.

December 4, 2001 | NetBSD 9.2